#include <stdio.h>

int main()
{
    int T;
    scanf("%i", &T);
    
    int Ti[T];
    for(int i=0; i<T; i++) Ti[i]=0;
    
    for(int i=0; i<T; i++){
        int N;
        scanf("%i", &N);
        
        int a[N], b[N];
        for(int i=0; i<N; i++) scanf("%i", &a[i]);
        for(int i=0; i<N; i++) scanf("%i", &b[i]);
        
        int flag=0;
        for(int i=0; i<N; i++){
            if(a[i]!=b[i]){
                int pom=a[i];
                a[i]=a[i+1]*-1;
                a[i+1]=-1*pom;
            }
            else {flag=1; Ti[T-1]=1;}
        }
    }
    for(int i=0; i<T; i++){
        if (Ti[i]==1) printf("DA\n");
        else printf("NE\n");}

    return 0;
}